> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paysway.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook subscriptions

> Retrieves a list of webhook subscriptions for an organization




## OpenAPI

````yaml /api-reference/paysway-api.yaml get /webhooks/subscriptions
openapi: 3.1.0
info:
  title: PaySway API
  version: 1.2.0
servers:
  - url: https://api.paysway.dev
    description: Development environment
  - url: https://api.paysway.io
    description: Production environment
security: []
paths:
  /webhooks/subscriptions:
    get:
      tags:
        - Webhooks
      summary: List webhook subscriptions
      description: |
        Retrieves a list of webhook subscriptions for an organization
      responses:
        '200':
          description: Webhook subscriptions list returned successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/WebhookSubscription'
      security:
        - oauth2ClientCredentials: []
components:
  schemas:
    WebhookSubscription:
      type: object
      properties:
        id:
          type: string
          format: uuid
        createdDate:
          type: string
          format: date-time
        enabled:
          type: boolean
        title:
          type: string
        url:
          type: string
          format: uri
        events:
          type: array
          items:
            type: string
        secret:
          description: >
            Base64-encoded secret key used to generate webhook signatures. Only
            returned at creation.
          type: string
      required:
        - id
        - createdDate
        - enabled
        - title
        - url
        - events
  securitySchemes:
    oauth2ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth2/token
          scopes: {}

````